include:
  - 'templates/base.terraform.jobs.yaml'

stages:
  - init
  - test
  - plan
  - build
  - apply  
  - destroy  
  - decide
  - pipeline-generator
  - drift 

init:
  extends: terraform.init

validate:
  extends: terraform.validate

tfsec:
  extends: terraform.tfsec

regula:
  extends: terraform.regula

plan:
  extends: terraform.plan

apply:
  extends: terraform.apply

drift:
  extends: terraform.drift

destroy:
  extends: terraform.destroy

decide:
  extends: terraform.decide

decision:
  extends: terraform.decision

